buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dona...@apache.org
Subject [1/5] buildr git commit: Removing runtime dependency on rspec
Date Thu, 19 Feb 2015 23:38:15 GMT
Repository: buildr
Updated Branches:
  refs/heads/master 41970b737 -> 877e57b93


Removing runtime dependency on rspec

Addresses https://issues.apache.org/jira/browse/BUILDR-705

Since usage of rspec support in buildr is optional, it should be
listed only as "development dependency" so others can control their rspec
versions independently when not using buildr's rspec support.


Project: http://git-wip-us.apache.org/repos/asf/buildr/repo
Commit: http://git-wip-us.apache.org/repos/asf/buildr/commit/c1b21a85
Tree: http://git-wip-us.apache.org/repos/asf/buildr/tree/c1b21a85
Diff: http://git-wip-us.apache.org/repos/asf/buildr/diff/c1b21a85

Branch: refs/heads/master
Commit: c1b21a85d35444c15448d76e7b5c63dc62d4b3c3
Parents: ad5f857
Author: r6p <r6p@r6p.com>
Authored: Wed Feb 4 11:31:32 2015 -0800
Committer: Peter Donald <peter@realityforge.org>
Committed: Sat Feb 14 07:32:12 2015 +1100

----------------------------------------------------------------------
 buildr.gemspec | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/buildr/blob/c1b21a85/buildr.gemspec
----------------------------------------------------------------------
diff --git a/buildr.gemspec b/buildr.gemspec
index b78133e..0c9f706 100644
--- a/buildr.gemspec
+++ b/buildr.gemspec
@@ -68,10 +68,6 @@ for those one-off tasks, with a language that's a joy to use.
   spec.add_dependency 'rjb',                  '1.5.1' if ($platform.to_s == 'x86-mswin32'
|| $platform.to_s == 'ruby')
   spec.add_dependency 'atoulme-Antwrap',      '0.7.5'
   spec.add_dependency 'diff-lcs',             '1.2.4'
-  spec.add_dependency 'rspec-expectations',   '2.14.3'
-  spec.add_dependency 'rspec-mocks',          '2.14.3'
-  spec.add_dependency 'rspec-core',           '2.14.5'
-  spec.add_dependency 'rspec',                '2.14.1'
   spec.add_dependency 'xml-simple',           '1.1.2'
   spec.add_dependency 'minitar',              '0.5.4'
   spec.add_dependency 'jruby-openssl',        '~> 0.8.2' if $platform.to_s == 'java'
@@ -87,8 +83,12 @@ for those one-off tasks, with a language that's a joy to use.
     spec.add_development_dependency 'rdoc', '4.0.1'
   end
 
-  spec.add_development_dependency 'rspec-retry', '0.2.1'
-  spec.add_development_dependency 'ci_reporter', '1.9.0'
+  spec.add_development_dependency 'rspec-expectations',   '2.14.3'
+  spec.add_development_dependency 'rspec-mocks',          '2.14.3'
+  spec.add_development_dependency 'rspec-core',           '2.14.5'
+  spec.add_development_dependency 'rspec',                '2.14.1'
+  spec.add_development_dependency 'rspec-retry',          '0.2.1'
+  spec.add_development_dependency 'ci_reporter',          '1.9.0'
   # Ideally we would depend on psych when the platform has >= 1.9.2 support and jruby
platform version > 1.6.6
   #spec.add_development_dependency 'psych' if RUBY_VERSION >= '1.9.2'
   spec.add_development_dependency 'pygmentize', '0.0.3'


Mime
View raw message